dpkg-checkbuilddeps(1)

NAAM
dpkg-checkbuilddeps - controleer bouwvereisten en -tegenstrijdigheden

OVERZICHT
dpkg-checkbuilddeps [optie...] [controlebestand]

BESCHRIJVING
Dit programma controleert de op het systeem geïnstalleerde pakketten aan de bouwvereisten en bouwtegenstrijdigheden die vermeld worden in het controlebestand. Indien er eventueel aan sommige niet voldaan is, geeft het die weer en sluit af met niet-nul als terugkeercode.

Standaard wordt uit debian/control gelezen, maar de bestandsnaam van een alternatief controlebestand mag aan de commandoregel opgegeven worden.

OPTIES

--admindir=map
    Een andere locatie opgeven voor de database van dpkg (sinds dpkg 1.14.0). De standaardlocatie is /var/db/dpkg.

-A  De regels Build-Depends-Arch en Build-Conflicts-Arch negeren (sinds dpkg 1.16.4). Gebruik dit als enkel pakketten van het type arch-indep (architectuuronafhankelijke pakketten) gebouwd zullen worden, of gebruik het in combinatie met -B als enkel een broncodepakket gebouwd moet worden.

-B  De regels Build-Depends-Indep en Build-Conflicts-Indep negeren. Gebruik dit als enkel pakketten van het type arch-dep (architectuurafhankelijke pakketten) gebouwd zullen worden, of gebruik het in combinatie met -A als enkel een broncodepakket gebouwd moet worden.

-I  Ingebouwde bouwvereisten en bouwtegenstrijdigheden (sinds dpkg 1.18.2) negeren. Dit zijn impliciete vereisten die gewoonlijk nodig zijn bij een specifieke distributie, de set van zogenaamde Build-Essential pakketten.

-d tekenreeks-voor-bouwvereisten
-c tekenreeks-voor-bouwtegenstrijdigheden
    De opgegeven vereisten/tegenstrijdigheden gebruiken in plaats van diegene die in het bestand debian/control vermeld worden (sinds dpkg 1.14.17).

-a arch
    Op bouwvereisten/-tegenstrijdigheden controleren, ervan uitgaand dat het pakket dat in het bestand control beschreven wordt, gebouwd moet worden voor de opgegeven hostarchitectuur in plaats van voor de architectuur van het huidige systeem (sinds dpkg 1.16.2).

-P profiel[,...]
    Op bouwvereisten/-tegenstrijdigheden controleren, ervan uitgaand dat het pakket dat in het bestand control beschreven wordt, gebouwd moet worden voor het/de opgegeven bouwprofiel(en) (sinds dpkg 1.17.2). Het argument is een lijst van profielnamen die onderling door komma's gescheiden worden.

-?, --help
    Info tonen over het gebruik en afsluiten.

--version
    De versie tonen en afsluiten.

OMGEVING

DEB_HOST_ARCH
    Stelt de computerarchitectuur in. Dit heeft invloed op de logica bij het oplossen van vereisten, wat dan mogelijk niet overeenkomt met wat het systeem dpkg als bevredigend beschouwt.

DEB_BUILD_PROFILES
    Indien dit ingesteld is, zal dit gebruikt worden als het/de actieve bouwprofiel(en) voor het pakket dat gebouwd wordt. Het is een lijst van profielnamen die onderling door spaties gescheiden worden. De optie -P heeft voorrang hierop.

DPKG_COLORS
    Stelt de kleurmodus in (sinds dpkg 1.18.5). Waarden die momenteel gebruikt mogen worden zijn: auto (standaard), always en never.

DPKG_NLS
    Indien dit ingesteld is, zal het gebruikt worden om te beslissen over het activeren van moedertaalondersteuning, ook gekend als internationaliseringsondersteuning (of i18n) (sinds dpkg 1.19.0). Geldige waarden zijn: 0 and 1 (standaard).